Security Enhanced Linux Reference Policy

# Layer: admin

## Module: portage

Interfaces

### Description:

Portage Package Management System. The primary package management and distribution system for Gentoo.

### Interfaces:

portage_compile_domain( domain )

##### Summary

Template for portage sandbox.

##### Description

Template for portage sandbox. Portage does all compiling in the sandbox.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain Allowed Access

portage_domtrans( domain )

##### Summary

Execute emerge in the portage domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

portage_domtrans_gcc_config( domain )

##### Summary

Execute gcc-config in the gcc_config domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

portage_run( domain , role )

##### Summary

Execute emerge in the portage domain, and allow the specified role the portage domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to allow the portage domain.

portage_run_gcc_config( domain , role )

##### Summary

Execute gcc-config in the gcc_config domain, and allow the specified role the gcc_config domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to allow the gcc_config domain.

Return